summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.AURINFO19
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD32
3 files changed, 70 insertions, 0 deletions
diff --git a/.AURINFO b/.AURINFO
new file mode 100644
index 00000000000..a612d4ec9ca
--- /dev/null
+++ b/.AURINFO
@@ -0,0 +1,19 @@
+pkgbase = pure-stllib
+ pkgdesc = An 'umbrella' package that contains a pair of Pure addons, pure-stlvec and pure-stlmap. These addons provide Pure interfaces to a selection of containers provided by the C++ Standard Library, specialized to hold pointers to arbitrary Pure expressions.
+ pkgver = 0.6
+ pkgrel = 1
+ url = http://purelang.bitbucket.org/
+ arch = i686
+ arch = x86_64
+ groups = pure-complete
+ groups = pure-util
+ license = BSD
+ depends = pure
+ depends = libstdc++5
+ provides = pure-stlvec
+ conflicts = pure-stlvec
+ source = https://bitbucket.org/purelang/pure-lang/downloads/pure-stllib-0.6.tar.gz
+ sha1sums = 47584905c29b662178c954587970b1ef0a2f977a
+
+pkgname = pure-stllib
+
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..a612d4ec9ca
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = pure-stllib
+ pkgdesc = An 'umbrella' package that contains a pair of Pure addons, pure-stlvec and pure-stlmap. These addons provide Pure interfaces to a selection of containers provided by the C++ Standard Library, specialized to hold pointers to arbitrary Pure expressions.
+ pkgver = 0.6
+ pkgrel = 1
+ url = http://purelang.bitbucket.org/
+ arch = i686
+ arch = x86_64
+ groups = pure-complete
+ groups = pure-util
+ license = BSD
+ depends = pure
+ depends = libstdc++5
+ provides = pure-stlvec
+ conflicts = pure-stlvec
+ source = https://bitbucket.org/purelang/pure-lang/downloads/pure-stllib-0.6.tar.gz
+ sha1sums = 47584905c29b662178c954587970b1ef0a2f977a
+
+pkgname = pure-stllib
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..7791a140758
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Maintainer: alastair pharo asppsa at gmail dot com
+# Contributor: Bjoern Lindig bjoern dot lindig at googlemail dot com
+
+pkgname=pure-stllib
+pkgver=0.6
+pkgrel=1
+pkgdesc="An 'umbrella' package that contains a pair of Pure addons, pure-stlvec and pure-stlmap. These addons provide Pure interfaces to a selection of containers provided by the C++ Standard Library, specialized to hold pointers to arbitrary Pure expressions."
+arch=("i686" "x86_64")
+license=('BSD')
+url="http://purelang.bitbucket.org/"
+depends=('pure' 'libstdc++5')
+makedepends=()
+provides=('pure-stlvec')
+conflicts=('pure-stlvec')
+groups=(pure-complete pure-util)
+source=("https://bitbucket.org/purelang/pure-lang/downloads/$pkgname-$pkgver.tar.gz")
+sha1sums=('47584905c29b662178c954587970b1ef0a2f977a')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ #./configure --prefix=/usr
+ #export LDFLAGS="$LDFLAGS -Wl,--no-as-needed"
+
+ #make | tee - make.log || return 1
+ make || return 1
+}
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ #make DESTDIR=$pkgdir install | tee - make_install.log || return 1
+ make DESTDIR=$pkgdir install || return 1
+}